Index: LMDZ6/branches/Portage_acc/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4446)
@@ -3,4 +3,5 @@
 
 MODULE isotopes_routines_mod
+  USE infotrac_phy, ONLY: niso, ntraciso=>ntiso, index_trac=>itZonIso, ntraceurs_zone=>nzone
 IMPLICIT NONE
 
@@ -13,6 +14,4 @@
 &            zqs,zq_ancien,zqev_diag,zq)
 
-USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 USE isotopes_mod, ONLY: ridicule, ridicule_rain, thumxt1, no_pce,  &
 &       bidouille_anti_divergence, &
@@ -846,5 +845,4 @@
 &    L, xtnu,Pveg)
 
-USE infotrac_phy, ONLY: niso
 USE isotopes_mod, ONLY: ridicule_qsol, ridicule, &
 &       ridicule_evap,P_veg,iso_HDO,iso_eau,iso_O17,iso_O18
@@ -1301,5 +1299,4 @@
 
 subroutine calcul_kcin(Vsurf,KCIN)
-USE infotrac_phy, ONLY: niso 
 USE isotopes_mod, ONLY: tv0cin,tkcin0,tkcin1,tkcin2
 implicit none
@@ -1328,5 +1325,4 @@
 
      subroutine fractcalk(kt, ptin, pxtfra, pfraice)
-!USE infotrac_phy, ONLY: use_iso
 USE isotopes_mod, ONLY: talph1,talph2,talph3,pxtmin,iso_O17, &
 &       fac_coeff_eq17_liq, pxtmelt, &
@@ -1457,5 +1453,4 @@
       subroutine fractcalk_liq(kt, ptin, pxtfra)
 
-!      USE infotrac_phy, ONLY: use_iso
       USE isotopes_mod, ONLY: pxtmin,talph1,talph2,talph3, &
 &       fac_coeff_eq17_liq, pxtice, &
@@ -1522,5 +1517,4 @@
       subroutine fractcalk_glace(kt, ptin, pfraice)
 
-!      use infotrac_phy, ONLY: use_iso
       use isotopes_mod, ONLY: talps1,talps2, iso_O17,fac_coeff_eq17_ice, &
         & pxtmelt,musi, lambda_sursat, tdifrel, &
@@ -1631,5 +1625,4 @@
       subroutine fractcalk_vectall(ptin, pxtfra, pfraice,n)
 
-        USE infotrac_phy, ONLY: niso
         USE isotopes_mod, ONLY: talph1,talph2,talph3,tdifrel,pxtmin, &
 &      iso_O17, iso_HTO, iso_eau, iso_O18, iso_HDO, musi, lambda_sursat, &
@@ -1803,5 +1796,4 @@
       subroutine fractcalk_vectall_liq(ptin, pxtfra, n)
 
-      USE infotrac_phy, ONLY: niso
       USE isotopes_mod, ONLY: pxtmin,talph1,talph2,talph3, &
 &       iso_eau,iso_HDO, iso_O18, iso_O17,iso_HTO,fac_coeff_eq17_liq, &
@@ -1882,5 +1874,4 @@
       subroutine fractcalk_vectall_ice(ptin, pfraice,n)
 
-      use infotrac_phy, ONLY: niso
       use isotopes_mod, ONLY: talps1,talps2, fac_coeff_eq17_ice, &
         & pxtmelt,musi, lambda_sursat, tdifrel, &
@@ -2023,5 +2014,4 @@
 &            i,Rsol,klon)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule, &
 &        ridicule_qsol,iso_O17,iso_O18
@@ -2233,5 +2223,4 @@
 &          i,xtevap,klon)  
 
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule,ridicule_rain, &
         iso_O18,iso_O17
@@ -2444,5 +2433,4 @@
 &   )
 
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,expb_max,tdifrel,tdifexp, &
 &       ridicule,thumxt1,ridicule_rain,bidouille_anti_divergence, &
@@ -4500,5 +4488,4 @@
 &           Tevap) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,bidouille_anti_divergence, &
 &       ridicule,ridicule_rain
@@ -4658,5 +4645,4 @@
 &           ,fac_ftmr)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,bidouille_anti_divergence, &
 &       Rdefault,ridicule,ridicule_rain
@@ -4904,5 +4890,4 @@
      &           Pqiinf_cas,Pqiinf)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5066,5 +5051,4 @@
      &           xtnew_cas,xtnew,Pxtiinf_cas,Pxtiinf)
 
-  USE infotrac_phy, ONLY: niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 #ifdef ISOVERIF
@@ -5111,5 +5095,4 @@
      &           ncum)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5176,5 +5159,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso, ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5252,5 +5234,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5326,5 +5307,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5396,5 +5376,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule
 
@@ -5566,5 +5545,4 @@
      &    nloc,ncum,nd,i,frac_sublim)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule
 
@@ -5703,5 +5681,4 @@
      &       zxtrfln_cas,zxt_cas,zxtrfl,zxtrfln,zxt,klon)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5739,5 +5716,4 @@
      &       delP,paprs,k,klon,klev)
 
-  USE infotrac_phy, ONLY: niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
          implicit none
@@ -5777,5 +5753,4 @@
      &       delP,paprs,k,klon,klev)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
          implicit none
@@ -5828,5 +5803,4 @@
      &       delP,paprs,k,klon,klev,frac_sublim)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 #ifdef ISOVERIF
@@ -5905,5 +5879,4 @@
      &          qp0,A,m0,beta,gama,g0)  
 
-  USE infotrac_phy, ONLY: niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ntot
 #ifdef ISOVERIF
@@ -6100,6 +6073,4 @@
  
 
-  USE infotrac_phy, ONLY: ntraciso,niso,ntraceurs_zone, &
-&       index_trac
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,thumxt1, &
 &       bidouille_anti_divergence,ridicule
@@ -7680,5 +7651,4 @@
      &          )    
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault, ridicule
 #ifdef ISOVERIF
@@ -8048,5 +8018,4 @@
      &  ) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault,ridicule
 #ifdef ISOVERIF
@@ -8253,5 +8222,4 @@
      &          ) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault,ridicule
 #ifdef ISOVERIF
@@ -8390,5 +8358,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,no_pce, Rdefault,ridicule       
 #ifdef ISOVERIF
@@ -8927,5 +8894,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault, ridicule
 #ifdef ISOVERIF
@@ -9317,6 +9283,4 @@
  
 
-  USE infotrac_phy, ONLY: niso,ntraciso, &
-&       ntraceurs_zone,index_trac
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,bidouille_anti_divergence, &
 &       thumxt1, ridicule
@@ -11022,5 +10986,4 @@
      &          ) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,Rdefault,ridicule
 #ifdef ISOVERIF
@@ -11172,5 +11135,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,Rdefault,no_pce,ridicule
 #ifdef ISOVERIF
@@ -11770,5 +11732,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault, ridicule
 #ifdef ISOVERIF
@@ -12198,5 +12159,4 @@
      &          tcond,zfice,zxtice,zxtliq)
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,essai_convergence, &
 &       bidouille_anti_divergence,ridicule
@@ -12432,5 +12392,4 @@
      &          tcond,zfice,zxtice,zxtliq,n)
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,bidouille_anti_divergence, &
 &       ridicule
@@ -12890,5 +12849,4 @@
      &          tcond,zfice,zxtice,zxtliq)
 
-    USE infotrac_phy, ONLY: ntraciso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,bidouille_anti_divergence, &
 &       ridicule,iso_O18
@@ -13088,5 +13046,4 @@
      &           xt1lay,q1lay,tsurf,t_coup,nisurf,Rland_ice)
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: Rdefault,iso_eau,iso_HDO, &
 &       bidouille_anti_divergence, ridicule,ridicule_snow, &
@@ -13658,5 +13615,4 @@
      &   )
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,cste_surf_cond, &
 &       rh_cste_surf_cond,Rdefault,T_cste_surf_cond,iso_O17,iso_O18, &
@@ -13982,5 +13938,4 @@
      &   )
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: tcorr, toce, alpha_liq_sol,ridicule_evap, &
         iso_eau,iso_HDO
@@ -14238,5 +14193,4 @@
      &   )
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: h_land_ice, ridicule,ridicule_snow,ridicule_evap, &
         iso_eau,iso_HDO,iso_O18
@@ -14573,5 +14527,4 @@
      &   )
 
-USE infotrac_phy, ONLY: niso,ntraciso
 USE isotopes_mod, ONLY: tdifrel,tdifexp_sol, iso_eau, iso_HDO, &
 &       bidouille_anti_divergence,ruissellement_pluie, Rdefault,Kd, &
@@ -16001,5 +15954,4 @@
       !USE write_field_phy
       USE indice_sol_mod, only: nbsrf  
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: initialisation_iso, iso_eau,iso_HDO, &
         ridicule_qsol,tnat, P_veg,iso_O18,ridicule, ridicule_snow,iso_O17, &
@@ -16187,5 +16139,4 @@
       !USE write_field_phy
       USE indice_sol_mod, only: nbsrf
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: tnat,iso_HDO,iso_O18,iso_HTO, iso_eau,toce, &
 &       Rdefault,iso_O17,ridicule,ridicule_qsol
@@ -16557,271 +16508,162 @@
       end subroutine phyiso_etat0_dur
 
-      subroutine phyiso_etat0_fichier( &
-     &           snow,run_off_lic_0, &
-     &           xtsnow,xtrun_off_lic_0, &
-     &           Rland_ice)
-      USE dimphy, only: klon,klev
-      !USE mod_grid_phy_lmdz
-      !USE mod_phys_lmdz_para
-      USE iophy
-      USE phys_state_var_mod, ONLY: q_ancien,xt_ancien,wake_deltaq,wake_deltaxt, &
-#ifdef ISOVERIF
-        rain_fall,snow_fall,fevap,qsol, &
-#endif
-        xtrain_fall,xtsnow_fall,ql_ancien,xtl_ancien,qs_ancien,xts_ancien, &
-        fxtevap,xtsol
-      !USE iostart
-      !USE write_field_phy
-      USE indice_sol_mod, only: nbsrf  
-  USE infotrac_phy, ONLY: ntraciso,niso
-  USE isotopes_mod, ONLY: striso,iso_HDO,iso_eau
-#ifdef ISOVERIF
-  USE isotopes_verif_mod
+SUBROUTINE phyiso_etat0_fichier(snow, run_off_lic_0, xtsnow, xtrun_off_lic_0, Rland_ice)
+   USE dimphy,             ONLY: klon,klev
+   USE iophy
+   USE phys_state_var_mod, ONLY: q_ancien, xt_ancien, wake_deltaq, wake_deltaxt, &
+#ifdef ISOVERIF
+     rain_fall, snow_fall, fevap,qsol, &
+#endif
+     xtrain_fall, xtsnow_fall, ql_ancien, xtl_ancien, qs_ancien, xts_ancien, fxtevap, xtsol
+   USE indice_sol_mod,    ONLY: nbsrf
+   USE isotopes_mod,      ONLY: isoName,iso_HDO,iso_eau
+   USE phyetat0_get_mod,  ONLY: phyetat0_get, phyetat0_srf
+   USE readTracFiles_mod, ONLY: new2oldH2O
+   USE strings_mod,       ONLY: strIdx, strTail, maxlen, msg, int2str
+#ifdef ISOVERIF
+   USE isotopes_verif_mod
 #endif
 #ifdef ISOTRAC
- USE isotrac_mod, ONLY: strtrac,initialisation_isotrac,index_iso, &
-&       index_zone,izone_init
-#endif
-        implicit none
+   USE isotrac_mod, ONLY: strtrac, initialisation_isotrac, index_iso, index_zone, izone_init
+#endif
+   IMPLICIT NONE
 
 #include "netcdf.inc"
 #include "dimsoil.h"
 #include "clesphys.h"
-! #include "thermcell.h"
 #include "compbl.h"    
 
-        ! inputs 
-        !REAL qsol(klon)
-        REAL snow(klon,nbsrf)
-        !REAL evap(klon,nbsrf)
-        REAL run_off_lic_0(klon)
-        ! outputs   
-        !REAL xtsol(niso,klon)
-        REAL xtsnow(niso,klon,nbsrf) 
-        !REAL xtevap(ntraciso,klon,nbsrf)     
-        REAL xtrun_off_lic_0(niso,klon)
-        REAL Rland_ice(niso,klon)
-
-        ! locals
-        real iso_tmp(klon)
-        real iso_tmp_lonlev(klon,klev)
-        real iso_tmp_lonsrf(klon,nbsrf)
-        INTEGER ierr
-        integer i,ixt,k,nsrf
-        INTEGER nid, nvarid
-        CHARACTER*2 str2
-        CHARACTER*5 str5
-        real xmin,xmax    
-        CHARACTER*50 striso_sortie  
-        integer lnblnk
-        LOGICAL :: found,phyetat0_get,phyetat0_srf
-
-!#ifdef ISOVERIF
-!      integer iso_verif_egalite_nostop
-!#endif
-!#ifdef ISOVERIF
-!        real deltaD
-!        integer iso_verif_noNaN_nostop
-!#endif
+   REAL, INTENT(IN) ::             snow     (klon,nbsrf)
+   REAL, INTENT(IN) ::    run_off_lic_0     (klon)
+   REAL, INTENT(OUT) ::          xtsnow(niso,klon,nbsrf) 
+   REAL, INTENT(OUT) :: xtrun_off_lic_0(niso,klon)
+   REAL, INTENT(OUT) ::       Rland_ice(niso,klon)
+
+   INTEGER :: ierr, i, ixt, k, nsrf, nid, nvarid, lnblnk
+   CHARACTER(LEN=2) :: str2
+   CHARACTER(LEN=5) :: str5
+   CHARACTER(LEN=maxlen) :: outiso, oldIso, modname, nam(2)
+   REAL :: xmin, xmax
+   LOGICAL :: found
 #ifdef ISOTRAC
-        integer iiso,izone
-#endif
-
-
-   write(*,*) 'phyiso_etat0_fichier 3'
-   write(*,*) 'niso=',niso
-   write(*,*) 'striso(1)=',striso(1)
-
-   do ixt=1,ntraciso
-
-     if (ixt.le.niso) then
-        striso_sortie=striso(ixt)
-     else
+   INTEGER :: iiso, izone
+#endif
+
+   modname = 'phyiso_etat0_fichier'
+   CALL msg('3', modname)
+   CALL msg('niso = '//TRIM(int2str(niso)), modname)
+   CALL msg('isoName(1) = '//TRIM(isoName(1)), modname)
+
+   DO ixt = 1, ntraciso
+
+      outiso = isoName(ixt)
+      oldIso = strTail(new2oldH2O(outiso), '_')            !--- Remove "H2O_" from "H2O_<iso>[_<tag>]"
+      ! on lit seulement si ixt<=niso ou si on initialise les traceurs d'après fichier:
 #ifdef ISOTRAC
-        iiso=index_iso(ixt)
-        izone=index_zone(ixt)       
-        striso_sortie=striso(iiso)//strtrac(izone)
-#else
-        write(*,*) 'phyredem 546: ixt,ntraciso=', ixt,ntraciso
-        stop
-#endif
-     endif !if (ixt.le.niso) then
-     write(*,*) 'phyiso_etat0_fichier 16621: ixt,striso_sortie=',ixt,striso_sortie(1:lnblnk(striso_sortie))
-
-           
-      ! on lit seulement si ixt<=niso ou si on initialise les traceurs d'après
-      ! fichier:
+      IF(ixt <= niso .OR. initialisation_isotrac == 0) THEN
+#endif
+      found = phyetat0iso_srf3(xtsnow,      "XTSNOW", "Surface snow", 0.)
+      if (.NOT.found) CALL abort_physic('isotopes_routines_mod', 'phyiso_etat0_fichier 16581: unfound isotopic variable',1)
+      found = phyetat0iso_srf3(fxtevap,     "XTEVAP", "evaporation",  0.)
+      found = phyetat0iso_get2(xtrain_fall, "xtrain_f", "xrain fall", 0.)
+      found = phyetat0iso_get2(xtsnow_fall, "xtsnow_f", "xsnow fall", 0.)
+      found = phyetat0iso_get3(xt_ancien,   "XTANCIEN",  "QANCIEN",   0.)
+      found = phyetat0iso_get3(xtl_ancien,  "XTLANCIEN", "QLANCIEN",  0.)
+      found = phyetat0iso_get3(xts_ancien,  "XTSANCIEN", "QSANCIEN",  0.)
+      found = phyetat0iso_get2(xtrun_off_lic_0, "XTRUNOFFLIC0", "RUNOFFLIC0", 0.)
+      found = phyetat0iso_get3(wake_deltaxt,  "WAKE_DELTAXT", "Delta hum. wake/env",  0.)
+#ifdef ISOVERIF
+      IF(ixt == iso_eau .AND. iso_eau > 0) THEN
+         DO i=1,klon
+            CALL iso_verif_egalite(xtrain_fall(iso_eau,i),rain_fall(i),TRIM(modname)//' 231a')
+            CALL iso_verif_egalite(xtsnow_fall(iso_eau,i),snow_fall(i),TRIM(modname)//' 231b')
+            DO nsrf = 1, nbsrf
+               CALL iso_verif_egalite(fxtevap(iso_eau,i,nsrf),fevap(i,nsrf),TRIM(modname)//' 231c')
+               CALL iso_verif_egalite( xtsnow(iso_eau,i,nsrf), snow(i,nsrf),TRIM(modname)//' 231d')
+            END DO
+         END DO
+      END IF
+      IF(ixt == iso_HDO .AND. iso_HDO > 0) THEN
+         DO k=1,klev
+            DO i=1,klon
+               IF(q_ancien(i,k) > 2e-3) &
+                  CALL iso_verif_aberrant(xt_ancien(iso_hdo,i,k)/q_ancien(i,k),TRIM(modname)//' 312')
+            END DO
+         END DO
+      END IF
+      IF(iso_eau > 0 .AND. ixt == iso_eau) THEN
+         DO i=1,klon
+            IF(iso_verif_egalite_nostop(run_off_lic_0(i),xtrun_off_lic_0(iso_eau,i),TRIM(modname)//' 326') == 1) THEN
+               WRITE(*,*) 'i=',i
+               STOP
+            END IF
+         END DO
+      END IF
+#endif
+      ! ces variables n'ont pas de traceurs:
+      IF(ixt <= niso) THEN
+         found = phyetat0iso_get2(xtsol, "XTSOL", "Surface humidity / bucket", 0.)
+         found = phyetat0iso_get2(Rland_ice, "Rland_ice", "SR land ice", 0.)
+#ifdef ISOVERIF
+
+         DO i=1,klon
+            IF(iso_verif_noNaN_nostop(xtsol(ixt,i),TRIM(modname)//' 95') == 1) THEN
+               WRITE(*,*) 'ixt,i=',ixt,i
+               STOP
+            END IF
+         END DO
+#endif
+      END IF
 #ifdef ISOTRAC
-      if ((ixt.le.niso).or.(initialisation_isotrac.eq.0)) then
-#endif
-
-      found=phyetat0_srf(1,iso_tmp_lonsrf,"XTSNOW"//striso_sortie(1:lnblnk(striso_sortie)), &
-     &     "Surface snow",0.)
-      if (.NOT.found) then
-        CALL abort_physic('isotopes_routines_mod', &
-                'phyiso_etat0_fichier 16581: variable isotopique not found',1)
-      endif
-      xtsnow(ixt,:,:)=iso_tmp_lonsrf(:,:)
-      
-      found=phyetat0_srf(1,iso_tmp_lonsrf,"XTEVAP"//striso_sortie &
-     &   (1:lnblnk(striso_sortie)),"evaporation",0.)
-      fxtevap(ixt,:,:)=iso_tmp_lonsrf(:,:)
-
-      found=phyetat0_get(1,iso_tmp,"xtrain_f"//striso_sortie &
-     &   (1:lnblnk(striso_sortie)),"xrain fall",0.)
-      xtrain_fall(ixt,:)=iso_tmp(:)
-
-      found=phyetat0_get(1,iso_tmp,"xtsnow_f"//striso_sortie &
-     &   (1:lnblnk(striso_sortie)),"snow fall",0.)
-      xtsnow_fall(ixt,:)=iso_tmp(:)
-
-      found=phyetat0_get(klev,iso_tmp_lonlev,"XTANCIEN"//striso_sortie &
-     &       (1:lnblnk(striso_sortie)),"QANCIEN",0.)
-      xt_ancien(ixt,:,:)=iso_tmp_lonlev(:,:)
-
-      found=phyetat0_get(klev,iso_tmp_lonlev,"XTLANCIEN"//striso_sortie &
-     &       (1:lnblnk(striso_sortie)),"QLANCIEN",0.)
-      xtl_ancien(ixt,:,:)=iso_tmp_lonlev(:,:)
-
-      found=phyetat0_get(klev,iso_tmp_lonlev,"XTSANCIEN"//striso_sortie &
-     &       (1:lnblnk(striso_sortie)),"QSANCIEN",0.)
-      xts_ancien(ixt,:,:)=iso_tmp_lonlev(:,:)
-
-
-      found=phyetat0_get(1,iso_tmp,"XTRUNOFFLIC0"//striso_sortie(1:lnblnk(striso_sortie)), &
-     &          "RUNOFFLIC0",0.)  
-      xtrun_off_lic_0(ixt,:)=iso_tmp(:)
-
-
-      found=phyetat0_get(klev,iso_tmp_lonlev,"WAKE_DELTAXT"//striso_sortie &
-     &   (1:lnblnk(striso_sortie)),"Delta hum. wake/env",0.)  
-      wake_deltaxt(ixt,:,:)=iso_tmp_lonlev(:,:)
-
-#ifdef ISOVERIF           
-      if ((ixt.eq.iso_eau).and.(iso_eau.gt.0)) then
-        do i=1,klon
-         call iso_verif_egalite(xtrain_fall(iso_eau,i),rain_fall(i), &
-     &           'phyisoetat0_fichier 231a')
-         call iso_verif_egalite(xtsnow_fall(iso_eau,i),snow_fall(i), &
-     &           'phyisoetat0_fichier 231b')
-         DO nsrf = 1, nbsrf
-         call iso_verif_egalite(fxtevap(iso_eau,i,nsrf),fevap(i,nsrf), &
-     &           'phyisoetat0_fichier 231c')
-         call iso_verif_egalite(xtsnow(iso_eau,i,nsrf),snow(i,nsrf), &
-     &           'phyisoetat0_fichier 231d')
-         enddo !DO nsrf = 1, nbsrf
-        enddo !do i=1,klon        
-      endif !if (iso_eau.gt.0) then  
-        if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
-              do k=1,klev
-               do i=1,klon
-                if (q_ancien(i,k).gt.2e-3) then
-                call iso_verif_aberrant(xt_ancien(iso_hdo,i,k) &
-     &           /q_ancien(i,k),'phyisoetat0_fichier 312')
-                endif !if (q_ancien(i,k).gt.2e-3) then
-               enddo !do i=1,klon
-              enddo !do k=1,klev
-      endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then 
-      if (iso_eau.gt.0) then   
-        do i=1,klon
-          if (iso_verif_egalite_nostop(run_off_lic_0(i), &
-     &           xtrun_off_lic_0(iso_eau,i), &
-     &          'phyiso_etat0_fichier 326').eq.1) then
-            write(*,*) 'i=',i
-            stop
-          endif !if (iso_verif_egalite_nostop(run_off_lic_0(i),
-        enddo !do i=1,klon
-      endif !if (iso_eau.gt.0) then 
-#endif
-
-       ! ces variables n'ont pas de traceurs:
-       if (ixt.le.niso) then
-        found=phyetat0_get(1,iso_tmp,"XTSOL"//striso_sortie(1:lnblnk(striso_sortie)), &
-     &     "Surface hmidity / bucket",0.)  
-        xtsol(ixt,:)=iso_tmp(:)
-
-        found=phyetat0_get(1,iso_tmp,"Rland_ice"//striso_sortie &
-     &     (1:lnblnk(striso_sortie)),"R land ice",0.)
-        Rland_ice(ixt,:)=iso_tmp(:)
-
-#ifdef ISOVERIF
-      do i=1,klon
-          if (iso_verif_noNaN_nostop(xtsol(ixt,i), &
-     &          'phyiso_etat0_fichier 95').eq.1) then
-            write(*,*) 'ixt,i=',ixt,i
-            stop
-          endif       
-      enddo !do i=1,klon
-#endif
-
-       endif
+      END IF ! IF(ixt > niso .OR. initialisation_isotrac == 0))
+#endif
+
+   END DO
 
 #ifdef ISOTRAC
-     endif !if ((ixt.le.niso).or.(initialisation_isotrac.eq.0)) then
-#endif
-
-  enddo !do ixt=1,ntraciso
-
-#ifdef ISOTRAC
-        if (initialisation_isotrac.ne.0) then
-        ! on n'initialise pas d'après le fichier
-        ! l'eau normale est mise dans la zone izone_init
-
-        do ixt=niso+1,ntraciso
-
-             iiso=index_iso(ixt)
-
-             if (index_zone(ixt).eq.izone_init) then
-                do i=1,klon
-                 do nsrf = 1, nbsrf
-                  fxtevap(ixt,i,nsrf)=fxtevap(iiso,i,nsrf)
-                 enddo !do nsrf = 1, nbsrf
-                 xtsnow_fall(ixt,i)=xtsnow_fall(iiso,i)
-                 xtrain_fall(ixt,i)=xtrain_fall(iiso,i)
-                 do k=1,klev
-                   xt_ancien(ixt,i,k)=xt_ancien(iiso,i,k)
-                   xtl_ancien(ixt,i,k)=xtl_ancien(iiso,i,k)
-                   xts_ancien(ixt,i,k)=xts_ancien(iiso,i,k)
-                   wake_deltaxt(ixt,i,k)= wake_deltaxt(iiso,i,k)    
-                 enddo
-                enddo !do i=1,klon
-             else !if (index_zone(ixt).eq.izone_init) then
-                do i=1,klon
-                 do nsrf = 1, nbsrf
-                  fxtevap(ixt,i,nsrf)=0.0
-                 enddo !do nsrf = 1, nbsrf
-                 xtsnow_fall(ixt,i)=0.0
-                 xtrain_fall(ixt,i)=0.0
-                 do k=1,klev
-                   xt_ancien(ixt,i,k)=0.0
-                   xtl_ancien(ixt,i,k)=0.0
-                   xts_ancien(ixt,i,k)=0.0
-                 enddo
-                enddo !do i=1,klon
-             endif !if (index_zone(ixt).eq.izone_init) then
-
-         enddo  !do ixt=1,niso
-      endif !if (initialisation_isotrac.eq.0) then
-
-
-#ifdef ISOVERIF
-        DO nsrf = 1, nbsrf
-         do i=1,klon
-               call iso_verif_traceur(fxtevap(1,i,nsrf), &
-     &                   'phyiso_etat0_fichier 426')
-         enddo !do i=1,klon 
-        enddo !DO nsrf = 1, nbsrf
-        do i=1,klon
-           call iso_verif_traceur(xtrain_fall(1,i), &
-     &                   'phyiso_etat0_fichier 466')
-           call iso_verif_traceur(xtsnow_fall(1,i), &
-     &                   'phyiso_etat0_fichier 468')
-        enddo !do i=1,klon 
-        do k=1,klev
-          do i=1,klon
-               call iso_verif_traceur(xt_ancien(1,i,k), &
-     &                   'phyiso_etat0_fichier 591')
-          enddo !do i=1,klon
-        enddo !do k=1,klev             
+   IF(initialisation_isotrac /= 0) THEN
+      ! On n'initialise pas d'apres le fichier. L'eau normale est mise dans la zone izone_init
+      DO ixt=niso+1,ntraciso
+         iiso=index_iso(ixt)
+         IF(index_zone(ixt) == izone_init) THEN
+            DO i = 1, klon
+               fxtevap(ixt,i,1:nbsrf) = fxtevap(iiso,i,1:nbsrf)
+               xtsnow_fall(ixt,i) = xtsnow_fall(iiso,i)
+               xtrain_fall(ixt,i) = xtrain_fall(iiso,i)
+               DO k = 1, klev
+                  xt_ancien   (ixt,i,k) = xt_ancien   (iiso,i,k)
+                  xtl_ancien  (ixt,i,k) = xtl_ancien  (iiso,i,k)
+                  xts_ancien  (ixt,i,k) = xts_ancien  (iiso,i,k)
+                  wake_deltaxt(ixt,i,k) = wake_deltaxt(iiso,i,k)    
+               END DO
+            END DO
+         ELSE
+            DO i = 1, klon
+               fxtevap(ixt,i,1:nbsrf)=0.0
+               xtsnow_fall(ixt,i)=0.0
+               xtrain_fall(ixt,i)=0.0
+               xt_ancien (ixt,i,1:klev) = 0.0
+               xtl_ancien(ixt,i,1:klev) = 0.0
+               xts_ancien(ixt,i,1:klev) = 0.0
+            END DO
+         END IF
+      END DO
+   END IF
+
+#ifdef ISOVERIF
+   DO nsrf = 1, nbsrf
+      DO i = 1, klon
+         CALL iso_verif_traceur(fxtevap(1,i,nsrf), 'phyiso_etat0_fichier 426')
+      END DO
+   END DO
+   DO i=1,klon
+      CALL iso_verif_traceur(xtrain_fall(1,i), 'phyiso_etat0_fichier 466')
+      CALL iso_verif_traceur(xtsnow_fall(1,i), 'phyiso_etat0_fichier 468')
+   END DO
+   DO k = 1, klev
+      DO i = 1, klon
+         CALL iso_verif_traceur(xt_ancien(1,i,k), 'phyiso_etat0_fichier 591')
+      END DO
+   END DO
 #endif 
         ! endif ISOVERIF       
@@ -16829,9 +16671,43 @@
         ! endif ISOTRAC      
 
-! on ferme le fichier
-!      CALL close_startphy
-! déjà fermé dans phyetat0
+CONTAINS
+
+LOGICAL FUNCTION phyetat0iso_get2(field, pref, descr, default) RESULT(lFound)
+  REAL,             INTENT(INOUT) :: field(:,:)
+  CHARACTER(LEN=*), INTENT(IN)    :: pref, descr
+  REAL,             INTENT(IN)    :: default
+  REAL :: iso_tmp(klon)
+  nam(1) = TRIM(pref)//TRIM(outiso)
+  nam(2) = TRIM(pref)//TRIM(oldIso)
+  lFound = phyetat0_get(iso_tmp, nam, descr, default)
+  field(ixt,:) = iso_tmp
+END FUNCTION phyetat0iso_get2
+
+
+LOGICAL FUNCTION phyetat0iso_get3(field, pref, descr, default) RESULT(lFound)
+  REAL,             INTENT(INOUT) :: field(:,:,:)
+  CHARACTER(LEN=*), INTENT(IN)    :: pref, descr
+  REAL,             INTENT(IN)    :: default
+  REAL :: iso_tmp_lonlev(klon,klev)
+  nam(1) = TRIM(pref)//TRIM(outiso)
+  nam(2) = TRIM(pref)//TRIM(oldIso)
+  lFound = phyetat0_get(iso_tmp_lonlev, nam, descr, default)
+  field(ixt,:,:) = iso_tmp_lonlev(:,:)
+END FUNCTION phyetat0iso_get3
+
+LOGICAL FUNCTION phyetat0iso_srf3(field, pref, descr, default) RESULT(lFound)
+  REAL,             INTENT(INOUT) :: field(:,:,:)
+  CHARACTER(LEN=*), INTENT(IN)    :: pref, descr
+  REAL,             INTENT(IN)    :: default
+  REAL :: iso_tmp_lonsrf(klon,nbsrf)
+  nam(1) = TRIM(pref)//TRIM(outiso)
+  nam(2) = TRIM(pref)//TRIM(oldIso)
+  lFound = phyetat0_srf(iso_tmp_lonsrf, nam, descr, default)
+  field(ixt,:,:) = iso_tmp_lonsrf
+END FUNCTION phyetat0iso_srf3
 
         end subroutine phyiso_etat0_fichier
+
+
 
 
@@ -16849,5 +16725,4 @@
      &           d_xt_decroiss, &
      &           xt_seri)
-        USE infotrac_phy, only: ntraciso
         USE isotopes_mod, only: iso_HTO,ok_prod_nucl_tritium
         USE dimphy, only: klon,klev
@@ -18371,5 +18246,4 @@
 !     &                         prod_nucl_HTO)
 
-        USE infotrac_phy, only: ntraciso
         use isotopes_mod, only: nessai, lat_nucl, lon_nucl, &
 &               zmin_nucl, zmax_nucl, HTO_nucl
@@ -18593,5 +18467,4 @@
      &                                paprs, &
      &                                prod_nucl)
-        USE infotrac_phy, only: ntraciso
         USE isotopes_mod, ONLY: iso_HTO
         use geometry_mod, only: cell_area
@@ -18739,5 +18612,4 @@
      &           tcond,zfice,zxtice,zxtliq)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac,ntraceurs_zone
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,essai_convergence, &
 &       bidouille_anti_divergence,ridicule
@@ -18869,5 +18741,4 @@
      &           tcond,zfice,zxtice,zxtliq,n)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac,ntraceurs_zone
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,bidouille_anti_divergence, &
 &       ridicule
